#
# Conditional build:
%bcond_without	tests	# Do not perform "make test"
#
%define		pdir	Crypt
%define		pnam	OpenSSL-DSA
Summary:	Crypt::OpenSSL::DSA - Digital Signature Algorithm using OpenSSL
Summary(pl.UTF-8):	Crypt::OpenSSL::DSA - algorytm DSA używający OpenSSL
Name:		perl-Crypt-OpenSSL-DSA
Version:	0.20
Release:	5
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	8f11ba8db9dfbfff37a5df677af02538
URL:		https://metacpan.org/dist/Crypt-OpenSSL-DSA
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	openssl-tools
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
BuildRequires:	which
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::OpenSSL::DSA implements the DSA (Digital Signature Algorithm)
signature verification system.

%description -l pl.UTF-8
Moduł Crypt::OpenSSL::DSA jest implementacją systemu weryfikacji
podpisów DSA (Digital Signature Algorithm).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorarch}/Crypt/OpenSSL/DSA/Signature.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Crypt/OpenSSL/DSA.pm
%dir %{perl_vendorarch}/auto/Crypt/OpenSSL/DSA
%attr(755,root,root) %{perl_vendorarch}/auto/Crypt/OpenSSL/DSA/DSA.so
%{_mandir}/man3/Crypt::OpenSSL::DSA*.3pm*
%changelog
* Thu Jul 06 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Crypt-OpenSSL-DSA.git;a=log;h=master

* Thu Jul 06 2023 Jan Palus <atler@pld-linux.org> 81d9468
- perl 5.38.0 rebuild

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> 0ccc3fb
- perl 5.36.0 rebuild

* Sun Feb 27 2022 Jan Rękorajski <baggins@pld-linux.org> 3d800d3
- rebuild with perl 5.34.0

* Fri Sep 24 2021 Jan Rękorajski <baggins@pld-linux.org> c275d4a
- rebuild with openssl 3.0.0

* Wed Jun 23 2021 Jakub Bogusz <qboosh@pld-linux.org> 137a004
- updated to 0.20

* Fri May 07 2021 Jan Rękorajski <baggins@pld-linux.org> caea5a7
- rebuild with perl 5.32

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 7eb62bd
- drop obsolete and outdated manual inclusion of rpm macros

* Wed Dec 04 2019 Jan Rękorajski <baggins@pld-linux.org> 890bfd6
- rebuild with perl 5.30.0
- release 3 (by relup.sh)

* Sat Sep 15 2018 Arkadiusz Miśkiewicz <arekm@maven.pl> 95e3bbd
- release 2 (by relup.sh)

* Mon Aug 27 2018 Marcin Krol <hawk@tld-linux.org> 2790cef
- updated to 0.19

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> 10ec39d
- perl req/prov fix
- release 8 (by relup.sh)

* Sun Jun 11 2017 Jan Rękorajski <baggins@pld-linux.org> a6ff31b
- rebuild with perl 5.26
- release 7 (by relup.sh)

* Sun Oct 30 2016 Jan Rękorajski <baggins@pld-linux.org> 7598898
- rebuild with perl 5.24.0
- release 6 (by relup.sh)

* Thu Dec 24 2015 Jan Rękorajski <baggins@pld-linux.org> 048300c
- release 5 (by relup.sh)

* Thu Feb 26 2015 Jan Rękorajski <baggins@pld-linux.org> bc71075
- x32 rebuild
- release 4 (by relup.sh)

* Sat Sep 13 2014 Jan Rękorajski <baggins@pld-linux.org> ae597d1
- release 3 (by relup.sh)

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 85d53f4
- removed zero-sized .bs file

* Fri Sep 12 2014 Jan Rękorajski <baggins@pld-linux.org> 273fac9
- rebuild for perl 5.20
- release 2 (by relup.sh)

* Sun Jun 16 2013 Jakub Bogusz <qboosh@pld-linux.org> cc40e85
- check-files cleanup, removed outdated comment

* Sun Jun 09 2013 Jan Rękorajski <baggins@pld-linux.org> f5e57ad
- up to 0.14

